Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 4)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 24, 25, 26 ... 36, 37, 38  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
platojones
Veteran
Veteran


Joined: 23 Oct 2002
Posts: 1595
Location: Just over the horizon

PostPosted: Sun Jun 06, 2010 4:50 pm    Post subject: Reply with quote

Yeah, I see the problem. It was removed from the overlay, but it's still in the kde-4.4 set overlay file. Looks like that was overlooked.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6944
Location: Austria

PostPosted: Mon Jun 07, 2010 8:47 pm    Post subject: Reply with quote

amarok-utils-9999 not compiling now for some time already.

Code:
[  8%] Building CXX object utilities/collectionscanner/CMakeFiles/amarokcollectionscanner.dir/CollectionScanner.cpp.o
In file included from /var/tmp/portage/media-sound/amarok-utils-9999/work/amarok-9999/utilities/collectionscanner/CollectionScanner.cpp:30:
/var/tmp/portage/media-sound/amarok-utils-9999/work/amarok-9999/shared/cue_parser/CueParser.h:21:16: error: KUrl: No such file or directory
In file included from /var/tmp/portage/media-sound/amarok-utils-9999/work/amarok-9999/utilities/collectionscanner/CollectionScanner.cpp:30:
/var/tmp/portage/media-sound/amarok-utils-9999/work/amarok-9999/shared/cue_parser/CueParser.h:85: error: ‘KUrl’ does not name a type
/var/tmp/portage/media-sound/amarok-utils-9999/work/amarok-9999/shared/cue_parser/CueParser.h:103: error: ISO C++ forbids declaration of ‘KUrl’ with no type
/var/tmp/portage/media-sound/amarok-utils-9999/work/amarok-9999/shared/cue_parser/CueParser.h:103: error: expected ‘,’ or ‘...’ before ‘&’ token
/var/tmp/portage/media-sound/amarok-utils-9999/work/amarok-9999/shared/cue_parser/CueParser.h:110: error: ‘KUrl’ does not name a type
[ 11%] Building CXX object utilities/afttagger/CMakeFiles/amarok_afttagger.dir/AFTTagger.cpp.o
/var/tmp/portage/media-sound/amarok-utils-9999/work/amarok-9999/utilities/collectionscanner/CollectionScanner.cpp: In member function ‘void CollectionScanner::scanFiles(const QStringList&)’:
/var/tmp/portage/media-sound/amarok-utils-9999/work/amarok-9999/utilities/collectionscanner/CollectionScanner.cpp:476: error: no matching function for call to ‘CueParser::loadCueFile(const QString&, qint64&)’
/var/tmp/portage/media-sound/amarok-utils-9999/work/amarok-9999/shared/cue_parser/CueParser.h:103: note: candidates are: static CueFileItemMap CueParser::loadCueFile(int)
make[2]: *** [utilities/collectionscanner/CMakeFiles/amarokcollectionscanner.dir/CollectionScanner.cpp.o] Error 1
make[1]: *** [utilities/collectionscanner/CMakeFiles/amarokcollectionscanner.dir/all] Error 2

Anyone got a hint?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Benni123
Tux's lil' helper
Tux's lil' helper


Joined: 13 Mar 2005
Posts: 110

PostPosted: Mon Jun 07, 2010 9:17 pm    Post subject: Reply with quote

digikam does not compile:
emerge digikam
Emerging (1 of 1) media-gfx/digikam-1.2.0-r1 from kde
* digikam-1.2.0.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
* CPV: media-gfx/digikam-1.2.0-r1
* REPO: kde
* USE: addressbook amd64 elibc_glibc gphoto2 kernel_linux lensfun linguas_de multilib semantic-desktop thumbnails userland_GNU
>>> Unpacking source...
>>> Unpacking digikam-1.2.0.tar.bz2 to /tmp/portage/media-gfx/digikam-1.2.0-r1/work
>>> Source unpacked in /tmp/portage/media-gfx/digikam-1.2.0-r1/work
>>> Preparing source in /tmp/portage/media-gfx/digikam-1.2.0-r1/work/digikam-1.2.0 ...
* Applying digikam-1.2.0-kde232628.patch ... [ ok ]
* Applying libpgf-unbundled-digikam-1.2.0-r0.patch ... [ ok ]
* Applying digikam-1.2.0-lapack.patch ... [ ok ]
* Enabling languages: de
>>> Source prepared.
>>> Configuring source in /tmp/portage/media-gfx/digikam-1.2.0-r1/work/digikam-1.2.0 ...
>>> Working in BUILD_DIR: "/tmp/portage/media-gfx/digikam-1.2.0-r1/work/digikam-1.2.0_build"
cmake -C /tmp/portage/media-gfx/digikam-1.2.0-r1/temp/gentoo_common_config.cmake -DCMAKE_INSTALL_PREFIX=/usr -DKDE4_BUILD_TESTS=OFF -DCMAKE_INSTALL_PREFIX=/usr -DSYSCONF_INSTALL_DIR=/etc -DWITH_LQR=ON -DENABLE_THEMEDESIGNER=OFF -DGWENVIEW_SEMANTICINFO_BACKEND=Nepomuk -DENABLE_GPHOTO2=ON -DWITH_gphoto2=ON -DWITH_GPHOTO2=ON -DWITH_Gphoto2=ON -DENABLE_THUMBS_DB=ON -DWITH_KdepimLibs=ON -DWITH_MarbleWidget=OFF -DWITH_LensFun=ON -DWITH_Soprano=ON -DBUILD_doc=OFF -DBUILD_DOC=OFF -DBUILD_Doc=OFF -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_INSTALL_DO_STRIP=OFF -DCMAKE_USER_MAKE_RULES_OVERRIDE=/tmp/portage/media-gfx/digikam-1.2.0-r1/temp/gentoo_rules.cmake /tmp/portage/media-gfx/digikam-1.2.0-r1/work/digikam-1.2.0
loading initial cache file /tmp/portage/media-gfx/digikam-1.2.0-r1/temp/gentoo_common_config.cmake
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- The Fortran compiler identification is GNU
-- Check for working Fortran compiler: /usr/bin/gfortran
-- Check for working Fortran compiler: /usr/bin/gfortran -- works
-- Detecting Fortran compiler ABI info
-- Detecting Fortran compiler ABI info - done
-- Checking whether /usr/bin/gfortran supports Fortran 90
-- Checking whether /usr/bin/gfortran supports Fortran 90 -- yes
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt-Version 4.6.2 (using /usr/bin/qmake)
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib64/libX11.so
-- Looking for include files CMAKE_HAVE_PTHREAD_H
-- Looking for include files CMAKE_HAVE_PTHREAD_H - found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE
-- Looking for _POSIX_TIMERS
-- Looking for _POSIX_TIMERS - found
-- Found Automoc4: /usr/bin/automoc4
-- Found Perl: /usr/bin/perl
-- Phonon Version: 4.4.1
-- Found Phonon: /usr/lib64/libphonon.so
-- Found Phonon Includes: /usr/include/KDE;/usr/include
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Performing Test HAVE_FPIE_SUPPORT
-- Performing Test HAVE_FPIE_SUPPORT - Success
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
-- Performing Test __KDE_HAVE_GCC_VISIBILITY
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
-- Found KDE 4.4 include dir: /usr/include
-- Found KDE 4.4 library dir: /usr/lib64
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
-- checking for module 'lcms'
-- found lcms, version 1.19
-- Found lcms version 1.19, /usr/lib64/liblcms.so
-- Found JPEG: /usr/lib64/libjpeg.so
-- Found ZLIB: /usr/lib64/libz.so
-- Found PNG: /usr/lib64/libpng.so
-- Found TIFF: /usr/lib64/libtiff.so
-- checking for module 'libpgf'
-- found libpgf, version 6.09.44
-- Looking for Fortran sgemm
-- Looking for Fortran sgemm - found
-- A library with BLAS API found.
-- Looking for Fortran cheev
-- Looking for Fortran cheev - not found
-- A library with LAPACK API not found. Please specify library location.
-- Found Jasper: /usr/lib64/libjasper.so
-- Check Kdcraw library in local sub-folder...
-- Check Kdcraw library using pkg-config...
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig
-- Found libkdcraw release >= 0.2.0
-- Found libkdcraw: /usr/lib64/libkdcraw.so
-- Check Kexiv2 library in local sub-folder...
-- Check Kexiv2 library using pkg-config...
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig
-- Found libkexiv2 release >= 0.2.0
-- Found libkexiv2: /usr/lib64/libkexiv2.so
-- Check Kipi library in local sub-folder...
-- Check Kipi library using pkg-config...
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig
-- Found libkipi release >= 0.2.0
-- Found libkipi: /usr/lib64/libkipi.so
-- Identified libjpeg version: 80
-- checking for module 'libkdcraw>=0.4.0'
-- found libkdcraw, version 1.0.0
-- checking for module 'libkexiv2>=0.5.0'
-- found libkexiv2, version 1.0.0
-- Found gphoto2: -L/usr/lib64 -lgphoto2_port;-L/usr/lib64 -lgphoto2 -lgphoto2_port -lm
-- Found KdepimLibs: /usr/lib64/cmake/KdepimLibs/KdepimLibsConfig.cmake
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig
-- Found LensFun: /usr/include
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig
-- Found GLIB2: /usr/lib64/libglib-2.0.so
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig
-- Performing Test HAVE_LQR_0_4
-- Performing Test HAVE_LQR_0_4 - Success
-- Found Lqr-1: /usr/include/lqr-1
-- Found Soprano: /usr/include
-- Found SharedDesktopOntologies: /usr/share/ontology
-- Found Nepomuk: /usr/lib64/libnepomuk.so
-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)
--
-- ----------------------------------------------------------------------------------
-- digiKam 1.2.0 dependencies results <http://www.digikam.org>
--
-- Qt4 SQL module found..................... YES
-- libtiff library found.................... YES
-- libpgf library found..................... YES
-- libpng library found..................... YES
-- libjasper library found.................. YES
-- liblcms library found.................... YES
-- libkipi library found.................... YES
-- libkexiv2 library found.................. YES
-- libkdcraw library found.................. YES
-- libgphoto2 library found................. YES (optional)
-- libkdepimlibs library found.............. YES (optional)
-- libmarblewidget library found............ NO (optional)
--
-- digiKam will be compiled without geolocation using Marble widget support.
--
-- Nepomuk libraries found.................. YES (optional)
-- liblensfun library found................. YES (optional)
-- libglib2 library found................... YES (optional)
-- liblqr-1 library found................... YES (optional)
-- Doxygen found............................ NO (optional)
--
-- You will not be able to to generate the API documentation.
-- This does not affect building digiKam in any way.
--
CMake Error at CMakeLists.txt:332 (MESSAGE):
digiKam will be compiled................. NO (Look README file for more details about dependencies)


-- Configuring incomplete, errors occurred!
* ERROR: media-gfx/digikam-1.2.0-r1 failed:
* cmake failed
*
Back to top
View user's profile Send private message
jmbsvicetto
Moderator
Moderator


Joined: 27 Apr 2005
Posts: 4734
Location: Angra do Heroísmo (PT)

PostPosted: Mon Jun 07, 2010 11:04 pm    Post subject: Reply with quote

platojones wrote:
Yeah, I see the problem. It was removed from the overlay, but it's still in the kde-4.4 set overlay file. Looks like that was overlooked.

I've fixed the set yesterday.
_________________
Jorge.

Your twisted, but hopefully friendly daemon.
AMD64 / x86 / Sparc Gentoo
Help answer || emwrap.sh
Back to top
View user's profile Send private message
platojones
Veteran
Veteran


Joined: 23 Oct 2002
Posts: 1595
Location: Just over the horizon

PostPosted: Mon Jun 07, 2010 11:10 pm    Post subject: Reply with quote

jmbsvicetto wrote:
platojones wrote:
Yeah, I see the problem. It was removed from the overlay, but it's still in the kde-4.4 set overlay file. Looks like that was overlooked.

I've fixed the set yesterday.


Indeed. It's all good now. Thank you.

UPDATE: Also, thanks to you and the KDE team for getting KDE 4.4 out of the door so quickly. Great work!
Back to top
View user's profile Send private message
Benni123
Tux's lil' helper
Tux's lil' helper


Joined: 13 Mar 2005
Posts: 110

PostPosted: Tue Jun 08, 2010 6:50 pm    Post subject: Reply with quote

By the way, the digikam version in the official portage three is only 1.1.0.
Version 1.2.0-r1 from this overlay crashes on my system.
Meanwhile, 1.3.0 is out http://www.digikam.org

Can somebody put more recent and also working digikam ebuilds in the three?
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Tue Jun 08, 2010 9:09 pm    Post subject: Reply with quote

Tomorrow 4.5.85 is to be out. If anyone could please report on (at lease) KMail and Akonadi stability status, I'd be really thankfully. If those two work - I'd be glad to test it out. But if they are not, I cannot - sorry... :cry:
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6944
Location: Austria

PostPosted: Tue Jun 08, 2010 10:11 pm    Post subject: Reply with quote

Sorry I'm late. The Kontact suite still works (starts, fetches emails, rss, etc.) in KDE SC 4.5, but the Gentoo ebuilds of the KDE 4.4 PIM Suite try to pull in 4.4 dependencies which consequently results in blocks. One could try to alter ebuilds/eclass but I have no idea about compilation then.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Wed Jun 09, 2010 9:26 am    Post subject: Reply with quote

OK - and KDEpim 4.5 does not work? Cause everyone is only talking about using KDEpim 4.4 under KDE 4.5...
Back to top
View user's profile Send private message
Biert
n00b
n00b


Joined: 14 Sep 2006
Posts: 45
Location: The Netherlands

PostPosted: Wed Jun 09, 2010 5:06 pm    Post subject: Reply with quote

Lustmored wrote:
OK - and KDEpim 4.5 does not work? Cause everyone is only talking about using KDEpim 4.4 under KDE 4.5...

KDEPim 4.5 is going to include KMail 2, but it isn't ready yet. I think the first beta is expected in a few weeks?


KDE SC 4.5 beta 2 (4.4.85) is available, but kdelibs-4.4.85 won't compile for me. Fails on patch kdelibs-4.4.80-icon-name-qt47.patch.
_________________
http://www.last.fm/user/Biert/
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6944
Location: Austria

PostPosted: Wed Jun 09, 2010 7:59 pm    Post subject: Reply with quote

Lustmored wrote:
OK - and KDEpim 4.5 does not work? Cause everyone is only talking about using KDEpim 4.4 under KDE 4.5...

It will only be introduced with KDE SC 4.5.1. Last time I checked, sources weren't available.

EDIT: Ok, sources are there except for kde-base/kdepim-runtime-4.4.85
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
cruzki123
Apprentice
Apprentice


Joined: 16 May 2008
Posts: 248

PostPosted: Wed Jun 09, 2010 10:27 pm    Post subject: Reply with quote

genstorm wrote:
Lustmored wrote:
OK - and KDEpim 4.5 does not work? Cause everyone is only talking about using KDEpim 4.4 under KDE 4.5...

It will only be introduced with KDE SC 4.5.1. Last time I checked, sources weren't available.

EDIT: Ok, sources are there except for kde-base/kdepim-runtime-4.4.85


Work more or less.

kmail didn't start (apper a VERY BIG FAT WARNING about losing your e-mails and then do nothing).
Akregator is working nicely (exepts some crashes when open some pages)
kopete is working like a charm
korganicer seems to be working too
and kaddressbook too
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Wed Jun 09, 2010 10:35 pm    Post subject: Reply with quote

Thank you for all the information.

If KMail is not working looks like I must stay with 4.4.4... Or try the 4.5+kdepim:4.4, but that's rather useless for testing :(

If anything changes please leave a note about it :)
Back to top
View user's profile Send private message
regomodo
Guru
Guru


Joined: 25 Mar 2008
Posts: 445

PostPosted: Thu Jun 10, 2010 12:09 pm    Post subject: Reply with quote

Benni123 wrote:
By the way, the digikam version in the official portage three is only 1.1.0.
Version 1.2.0-r1 from this overlay crashes on my system.
Meanwhile, 1.3.0 is out http://www.digikam.org

Can somebody put more recent and also working digikam ebuilds in the three?


digikam and kipi-plugins ver 1.2.0 work fine with the ebuilds I did (almost straight copies of the 1.1.0 ebuilds).

ver-1.3.0 is a lot more tricky. They require ver1.1.0 of libkexiv2 and libkdcraw, however, the kdegraphics-4.4.4 package only has ver-1.0.0 which makes me think digikam-1.3.0 will only work with kde4.5
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6944
Location: Austria

PostPosted: Thu Jun 10, 2010 2:02 pm    Post subject: Reply with quote

Yes, digikam-9999 stopped compiling against KDE 4.4 a long time ago.

PS: kdm-4.4.85 still not working as it should.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
NForce
Tux's lil' helper
Tux's lil' helper


Joined: 07 Nov 2009
Posts: 79
Location: Kaunas, Lithuania

PostPosted: Thu Jun 10, 2010 4:32 pm    Post subject: Reply with quote

Is it me, or are the manifests for many 4.4.85 packages wrong?
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6944
Location: Austria

PostPosted: Thu Jun 10, 2010 4:46 pm    Post subject: Reply with quote

There was only one for me, kdeedu-4.4.85.tar.bz2
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
AmonAmarth
l33t
l33t


Joined: 03 Mar 2005
Posts: 727

PostPosted: Thu Jun 10, 2010 5:02 pm    Post subject: Reply with quote

kdelibs-4.4.85 dont want to build for me, because of patching error:
Code:
# cat /var/tmp/portage/kde-base/kdelibs-4.4.85/temp/build.log
 * CPV:  kde-base/kdelibs-4.4.85
 * REPO: kde
 * USE:  3dnow acl alsa bzip2 elibc_glibc fam handbook jpeg2k kernel_linux lzma mmx nls opengl policykit semantic-desktop spell sse ssl userland_GNU x86
>>> Unpacking source...
>>> Unpacking kdelibs-4.4.85.tar.bz2 to /var/tmp/portage/kde-base/kdelibs-4.4.85/work
>>> Source unpacked in /var/tmp/portage/kde-base/kdelibs-4.4.85/work
>>> Preparing source in /var/tmp/portage/kde-base/kdelibs-4.4.85/work/kdelibs-4.4.85 ...
 * Applying 01_gentoo_set_xdg_menu_prefix.patch ...                                                                                                    [ ok ]
 * Applying 02_gentoo_append_xdg_config_dirs.patch ...                                                                                                 [ ok ]
 * Applying kdelibs-4.3.80-module-suffix.patch ...                                                                                                     [ ok ]
 * Applying kdelibs-4.4.66-macos-unbundle.patch ...                                                                                                    [ ok ]
 * Applying kdelibs-4.3.3-klauncher_kdeinit.patch ...                                                                                                  [ ok ]
 * Applying kdelibs-4.3.3-klauncher_kioslave.patch ...                                                                                                 [ ok ]
 * Applying kdelibs-4.3.3-klauncher_mac.patch ...                                                                                                      [ ok ]
 * Applying kdelibs-4.4.3-mimetypes.patch ...                                                                                                          [ ok ]
 * Applying kdelibs-4.4.80-icon-name-qt47.patch ...

 * Failed Patch: kdelibs-4.4.80-icon-name-qt47.patch !
 *  ( /usr/portage/local/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.80-icon-name-qt47.patch )
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/kde-base/kdelibs-4.4.85/temp/kdelibs-4.4.80-icon-name-qt47.patch.out

 * ERROR: kde-base/kdelibs-4.4.85 failed:
 *   Failed Patch: kdelibs-4.4.80-icon-name-qt47.patch!
 *
 * Call stack:
 *     ebuild.sh, line   48:  Called src_prepare
 *   environment, line 4056:  Called kde4-base_src_prepare
 *   environment, line 3157:  Called base_src_prepare
 *   environment, line  963:  Called epatch '/usr/portage/local/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.80-icon-name-qt47.patch'
 *   environment, line 2205:  Called die
 * The specific snippet of code:
 *               die "Failed Patch: ${patchname}!";
 *
 * If you need support, post the output of 'emerge --info =kde-base/kdelibs-4.4.85',
 * the complete build log and the output of 'emerge -pqv =kde-base/kdelibs-4.4.85'.
 * This ebuild used the following eclasses from overlays:
 *   /usr/portage/local/layman/kde/eclass/kde4-base.eclass
 *   /usr/portage/local/layman/kde/eclass/kde4-functions.eclass
 *   /usr/portage/local/layman/kde/eclass/cmake-utils.eclass
 * This ebuild is from a repository named 'kde'
 * The complete build log is located at '/var/tmp/portage/kde-base/kdelibs-4.4.85/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/kdelibs-4.4.85/temp/environment'.
 * S: '/var/tmp/portage/kde-base/kdelibs-4.4.85/work/kdelibs-4.4.85'


Code:
 # cat /var/tmp/portage/kde-base/kdelibs-4.4.85/temp/kdelibs-4.4.80-icon-name-qt47.patch.out
***** kdelibs-4.4.80-icon-name-qt47.patch *****

===============================================

PATCH COMMAND:  patch -p0 -g0 -E --no-backup-if-mismatch < '/usr/portage/local/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.80-icon-name-qt47.patch'

===============================================
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -up kdelibs-4.4.80/kdeui/notifications/kstatusnotifieritem.cpp.icon-name-qt47 kdelibs-4.4.80/kdeui/notifications/kstatusnotifieritem.cpp
|--- kdelibs-4.4.80/kdeui/notifications/kstatusnotifieritem.cpp.icon-name-qt47  2010-05-16 22:04:05.000000000 +0200
|+++ kdelibs-4.4.80/kdeui/notifications/kstatusnotifieritem.cpp 2010-05-21 22:50:44.819211510 +0200
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
===============================================

PATCH COMMAND:  patch -p1 -g0 -E --no-backup-if-mismatch < '/usr/portage/local/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.80-icon-name-qt47.patch'

===============================================
patching file kdeui/notifications/kstatusnotifieritem.cpp
Hunk #1 FAILED at 65.
1 out of 1 hunk FAILED -- saving rejects to file kdeui/notifications/kstatusnotifieritem.cpp.rej
===============================================

PATCH COMMAND:  patch -p2 -g0 -E --no-backup-if-mismatch < '/usr/portage/local/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.80-icon-name-qt47.patch'

===============================================
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -up kdelibs-4.4.80/kdeui/notifications/kstatusnotifieritem.cpp.icon-name-qt47 kdelibs-4.4.80/kdeui/notifications/kstatusnotifieritem.cpp
|--- kdelibs-4.4.80/kdeui/notifications/kstatusnotifieritem.cpp.icon-name-qt47  2010-05-16 22:04:05.000000000 +0200
|+++ kdelibs-4.4.80/kdeui/notifications/kstatusnotifieritem.cpp 2010-05-21 22:50:44.819211510 +0200
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
===============================================

PATCH COMMAND:  patch -p3 -g0 -E --no-backup-if-mismatch < '/usr/portage/local/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.80-icon-name-qt47.patch'

===============================================
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -up kdelibs-4.4.80/kdeui/notifications/kstatusnotifieritem.cpp.icon-name-qt47 kdelibs-4.4.80/kdeui/notifications/kstatusnotifieritem.cpp
|--- kdelibs-4.4.80/kdeui/notifications/kstatusnotifieritem.cpp.icon-name-qt47  2010-05-16 22:04:05.000000000 +0200
|+++ kdelibs-4.4.80/kdeui/notifications/kstatusnotifieritem.cpp 2010-05-21 22:50:44.819211510 +0200
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
===============================================

PATCH COMMAND:  patch -p4 -g0 -E --no-backup-if-mismatch < '/usr/portage/local/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.80-icon-name-qt47.patch'

===============================================
missing header for unified diff at line 4 of patch
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -up kdelibs-4.4.80/kdeui/notifications/kstatusnotifieritem.cpp.icon-name-qt47 kdelibs-4.4.80/kdeui/notifications/kstatusnotifieritem.cpp
|--- kdelibs-4.4.80/kdeui/notifications/kstatusnotifieritem.cpp.icon-name-qt47  2010-05-16 22:04:05.000000000 +0200
|+++ kdelibs-4.4.80/kdeui/notifications/kstatusnotifieritem.cpp 2010-05-21 22:50:44.819211510 +0200
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored

i am using qt 4.6.2 (stable), did somebody forgot to change the dependencies for qt-4.7 in the kde ebuilds or is qt-4.7 not necessary?
Back to top
View user's profile Send private message
NForce
Tux's lil' helper
Tux's lil' helper


Joined: 07 Nov 2009
Posts: 79
Location: Kaunas, Lithuania

PostPosted: Thu Jun 10, 2010 5:22 pm    Post subject: Reply with quote

genstorm wrote:
There was only one for me, kdeedu-4.4.85.tar.bz2

Yes, the file is one, but many ebuilds use it
Back to top
View user's profile Send private message
cruzki123
Apprentice
Apprentice


Joined: 16 May 2008
Posts: 248

PostPosted: Thu Jun 10, 2010 7:27 pm    Post subject: Reply with quote

have anybody the oxygen theme? or may I missed some packages?
Back to top
View user's profile Send private message
bers
n00b
n00b


Joined: 28 Nov 2008
Posts: 49

PostPosted: Fri Jun 11, 2010 6:58 am    Post subject: kde-l10n-4.4.85 Reply with quote

Does anyone know why there is no ebuild for kde-l10n-4.4.85?
Back to top
View user's profile Send private message
bers
n00b
n00b


Joined: 28 Nov 2008
Posts: 49

PostPosted: Fri Jun 11, 2010 7:22 am    Post subject: Reply with quote

It's just I have not worked preview in Dolphin?
Back to top
View user's profile Send private message
duryodhana
n00b
n00b


Joined: 13 Jan 2008
Posts: 66

PostPosted: Fri Jun 11, 2010 5:17 pm    Post subject: Reply with quote

I came across to these:
1. fetch failed for kdepim-runtime-4.4.85.
2. kdm won't remember username on login
3. plasmoids disappear after restart or shutdown-start
Back to top
View user's profile Send private message
cruzki123
Apprentice
Apprentice


Joined: 16 May 2008
Posts: 248

PostPosted: Fri Jun 11, 2010 7:01 pm    Post subject: Reply with quote

duryodhana wrote:
I came across to these:
1. fetch failed for kdepim-runtime-4.4.85.
2. kdm won't remember username on login
3. plasmoids disappear after restart or shutdown-start


The same as you plus missing oxygen style.
Composite woks but it is terrible slow (in previous beta it crashes a lot).
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6944
Location: Austria

PostPosted: Sat Jun 12, 2010 11:27 am    Post subject: Re: kde-l10n-4.4.85 Reply with quote

bers wrote:
Does anyone know why there is no ebuild for kde-l10n-4.4.85?

*-l10n packages are quite often lagging behind, anyway, the ebuild is there now. ;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 24, 25, 26 ... 36, 37, 38  Next
Page 25 of 38

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum